Bug 1335168 - Delete build(s) from CLI
Summary: Delete build(s) from CLI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: cli
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-11 13:23 UTC by Dominic Cleal
Modified: 2017-01-05 17:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-27 05:18:16 UTC


Attachments (Terms of Use)

Description Dominic Cleal 2016-05-11 13:23:46 UTC
Description of problem:
The CLI should have a subcommand to delete builds, to match the UI.

If this means using a build ID, then a way to search for builds matching certain names and/or versions numbers would be useful too. In particular, I'd usually want to either delete a specific NEVR build or delete all builds for a given package name.

Comment 1 clime 2016-10-07 06:47:17 UTC
Fixed by https://github.com/fedora-copr/copr/commit/b0c75e48.

Comment 2 Fedora Update System 2016-12-02 09:21:57 UTC
python-copr-1.75-1.fc23 copr-cli-1.58-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0ffe6c134

Comment 3 Fedora Update System 2016-12-02 09:22:13 UTC
python-copr-1.75-1.fc25 copr-cli-1.58-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f69f5dbfee

Comment 4 Fedora Update System 2016-12-02 09:22:29 UTC
python-copr-1.75-1.el6 copr-cli-1.58-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 5 Fedora Update System 2016-12-02 09:23:09 UTC
python-copr-1.75-1.fc24 copr-cli-1.58-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63a8a0964

Comment 6 Fedora Update System 2016-12-02 09:23:25 UTC
python-copr-1.75-1.el7 copr-cli-1.58-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d124bdfe6

Comment 7 Fedora Update System 2016-12-03 04:29:47 UTC
copr-cli-1.58-1.fc23, python-copr-1.75-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0ffe6c134

Comment 8 Fedora Update System 2016-12-03 04:37:03 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f69f5dbfee

Comment 9 Fedora Update System 2016-12-03 05:42:13 UTC
copr-cli-1.58-1.fc24, python-copr-1.75-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63a8a0964

Comment 10 Fedora Update System 2016-12-03 11:18:16 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 11 Fedora Update System 2016-12-03 11:19:06 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d124bdfe6

Comment 12 Fedora Update System 2016-12-27 05:18:16 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-27 15:47:47 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-04 18:18:15 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-04 21:21:35 UTC
copr-cli-1.58-1.fc24, python-copr-1.75-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-01-05 04:19:33 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-01-05 17:18:58 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.